Public Class USU_ConocimientosBusinessObject
    Inherits BusinessObject(Of USU_Conocimientos)

#Region "Contructores"
    Public Sub New()
        MyBase.New()
        DbHelper = New USU_ConocimientosDbHelper
    End Sub

    Public Sub New(ByVal entity As USU_Conocimientos)
        MyBase.New(entity)
        DbHelper = New USU_ConocimientosDbHelper
    End Sub

    Public Sub New(ByVal idConocimiento As Int32, Optional ByVal foreignLevel As Integer=0)
        Me.New()
        _Entity.idConocimiento = idConocimiento
        Dim Entity_Aux As USU_Conocimientos = DbHelper.SelectEntity(_Entity,foreignLevel)
        If Not Entity_Aux Is Nothing Then
            _IsNew = False
            _Entity = Entity_Aux
        End If
    End Sub
#End Region

#Region "Metodos Estaticos"
    Protected Shared _Instance As USU_ConocimientosBusinessObject
    Protected Shared Function GetDdHelperInstance() As USU_ConocimientosDbHelper
        If _Instance Is Nothing Then
            _Instance = New USU_ConocimientosBusinessObject
        End If
    Return CType(_Instance.DbHelper, USU_ConocimientosDbHelper)
    End Function

    Public Shared Function GetListUSU_Conocimientos(Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Conocimientos)
        Return GetDdHelperInstance.SelectList(foreignLevel)
    End Function

    Public Shared Function GetListUSU_ConocimientosBySEG_Usuarios(ByVal idUsuario as Int32, Optional ByVal foreignLevel As Integer=0) As EntityList(Of USU_Conocimientos)
        Return GetDdHelperInstance.GetListUSU_ConocimientosBySEG_Usuarios(idUsuario, foreignLevel)
    End Function

#End Region
End Class
